// filterPokemons.test.js
const filterPokemons = require('./filtrage');  // Import your filter function

test('filters Pokémon with weight > 3kg and height < 1m', () => {
    const pokemons = [
        { name: 'Pikachu', weight: 6, height: 0.4 },
        { name: 'Bulbasaur', weight: 3, height: 0.7 },
        { name: 'Squirtle', weight: 4, height: 0.9 },
        { name: 'Charizard', weight: 10, height: 1.7 }
    ];

    const filteredPokemons = filterPokemons(pokemons);

    // Assert that the filtered list contains only the valid Pokémon
    expect(filteredPokemons).toEqual([
        { name: 'Pikachu', weight: 6, height: 0.4 },
        { name: 'Squirtle', weight: 4, height: 0.9 }
    ]);
});